## python-polsarpro 2026.1.2

=== docs/requirements.txt ===
  mkdocs
  mkdocs-autorefs
  mkdocs-material
  mkdocstrings[python]
  # mkdocstrings-python
  markdown-include
  mkdocs-jupyter

## python-polsarpro 2025.12.2

=== debian/changelog ===
python-polsarpro (2025.12.2-1) unstable; urgency=low

  * Initial release (Closes: #1123838).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Dec 2025 15:53:52 +0000

=== debian/control ===
Source: python-polsarpro
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dask,
               python3-netcdf4,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-xarray
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/satim-co/PolSARpro
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-polsarpro
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-polsarpro.git
Description: Python implementation of selected PolSARpro functions
 PolSARPro is a SW for polarimetric analysis of Synthetic Aperture
 Radar (SAR) data.
 It was originally developed in C and Tcl/Tk language.
 This package provides a re-implementation in Python of a selected
 subset of the functions of the original SW, like:
  * polarimetric decompositions
  * I/O routines
  * polarimetric speckle filtering

Package: python3-polsarpro
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-netcdf4
Description: ${source:Synopsis}
 ${source:Extended-Description}
Suggests: python-polsarpro-doc

Package: python-polsarpro-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} -- (documentation)
 ${source:Extended-Description}
 .
 This package contains the HTML documentation.

## python-polsarpro 2026.1.0

=== debian/changelog ===
python-polsarpro (2026.1.0-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Update dates in d/copyright.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.3, changes: priority.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 06 Jan 2026 18:09:41 +0000

## python-polsarpro 2026.1.2

=== debian/changelog ===
python-polsarpro (2026.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Feb 2026 18:36:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-polsarpro
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +13,7 @@
                python3-scipy,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/satim-co/PolSARpro
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-polsarpro

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=polsarpro

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/satim-co/PolSARpro/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
